
Redmine - Defect #32769

Unable to sort projects table by custom field

2020-01-08 10:53 - Yann Rambourg

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Projects Estimated time: 0.00 hour

Target version: 4.1.1   

Resolution: Fixed Affected version: 4.1.0

Description

Hi,

On main project page, I'm able to display all projects and subprojects in a table format with filters on Custom Fields. However, I

cannot sort project on this fields.

I can click the column title, it displays the arrow indicating that sorting is ascending or descending on this column, but the order of

project in the table is not reflected accordingly.

Sorting on standard fields (Name, ID, Description) is OK.

I also tested to set the order in a saved report, behaviour is the same. Tested with following field types: Text, integer, decimal, date,

boolean, none of them is working.

Environment:

Redmine version                4.1.0.stable

Ruby version                   2.3.5-p376 (2017-09-14) [x86_64-linux]

Rails version                  5.2.4.1

Environment                    production

Database adapter               Mysql2

Mailer queue                   ActiveJob::QueueAdapters::AsyncAdapter

Mailer delivery                smtp

 SCM:

Subversion                     1.9.5

Git                            2.11.0

Filesystem

 Redmine plugins:

periodictask                   4.1.0

 Best regards,

Yann

Associated revisions

Revision 19421 - 2020-01-12 08:03 - Go MAEDA

Fix sort projects table by custom field (#32769).

Patch by Marius BALTEANU.

Revision 19422 - 2020-01-12 08:04 - Go MAEDA

Merged r19421 from trunk to 4.1-stable (#32769).

Patch by Marius BALTEANU.

History
#1 - 2020-01-08 11:14 - Marius BĂLTEANU

- Status changed from New to Confirmed

- Assignee set to Marius BĂLTEANU

- Target version set to 4.1.1

#2 - 2020-01-09 19:10 - Marius BĂLTEANU

- File 0001-Fix-sort-projects-table-by-custom-field.patch added

- Assignee deleted (Marius BĂLTEANU)

Here is the patch.

#3 - 2020-01-12 08:04 - Go MAEDA

- Status changed from Confirmed to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the fix. Thank you.

Files

0001-Fix-sort-projects-table-by-custom-field.patch 3.46 KB 2020-01-09 Marius BĂLTEANU
